Skip to main content

Notifications

Notifications are alerts triggered by certain events pertaining to a resource. To receive notifications for a specific resource, a user must have a subscription to the resource.


Objects

Notification

PathJSON TypeFormatDescription
idstringVersion 4 UUIDThe notification ID
createdstringISO 8601 timestampThe instant the notification was created at
lastModifiedstringISO 8601 timestampThe instant the notification was last modified at
actorobjectMemberThe member whose action raised this notification
typestringNotification TypeThe type of notification
resolvedboolWhether or not the notification has been read
{
"id" : "9d2c546d-1fb7-45fc-8a20-46611318f1a9",
"created" : "2026-04-23T13:16:48.699694",
"lastModified" : "2026-04-23T13:16:48.699695",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "3e60b455-36a9-4154-9203-822516aa13d1",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-04-23T13:16:48.432266",
"lastModified" : "2026-04-23T13:16:48.432266",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"dataset" : {
"id" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132",
"published" : "2026-04-23T13:16:42.833458",
"alias" : "analytics-tables",
"workspaceId" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'ezvzykf'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-04-23T13:16:42.833458",
"score" : 1.0
},
"workspace" : {
"id" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"name" : "Test Workspace [2026-04-23T13:16:42.405249379]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/9d2c546d-1fb7-45fc-8a20-46611318f1a9"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/9d2c546d-1fb7-45fc-8a20-46611318f1a9",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/73e1145e-951b-448b-a584-bbd77e0f73de"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/3e60b455-36a9-4154-9203-822516aa13d1"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/e07d59c1-95e7-46d4-b232-bf430b5fb947"
}
}
}

Formats

Notification Type

string

ValueDescription
DATASET_ACTIVITYAny activity on the dataset
DATASET_ANOMALYA detected anomaly in the dataset data
DATASET_COMMENTA comment on the dataset
DATASET_LIKEA like recorded on the dataset
DATASET_MESSAGEA message about the dataset
JOB_STARTEDA job started for a pipeline
JOB_ENDEDA job ended for a pipeline

Requests

View all notifications

GET /api/notifications?all={all}&before={before}&since={since}

Returns all notifications for the authenticated user profile.

Query Parameters

ParameterRequiredFormatDefault ValueDescription
allNoBooleanfalseWhether or not to return both resolved and unresolved notifications
beforeNoISO 8601 timestampThe instant at which the request was madeThe instant to return any notifications created before
sinceNoISO 8601 timestamp2021-02-11T11:12The instant to return any notifications created since
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/notifications?before=2026-04-23T13%3A16%3A49.486321193&since=2021-01-01T00%3A00' -i -X GET

Response

200 OK

Notification collection with HAL links.

{
"_embedded" : {
"notifications" : [ {
"id" : "9d2c546d-1fb7-45fc-8a20-46611318f1a9",
"created" : "2026-04-23T13:16:48.699694",
"lastModified" : "2026-04-23T13:16:48.699695",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "3e60b455-36a9-4154-9203-822516aa13d1",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-04-23T13:16:48.432266",
"lastModified" : "2026-04-23T13:16:48.432266",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"dataset" : {
"id" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132",
"published" : "2026-04-23T13:16:42.833458",
"alias" : "analytics-tables",
"workspaceId" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'ezvzykf'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-04-23T13:16:42.833458",
"score" : 1.0
},
"workspace" : {
"id" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"name" : "Test Workspace [2026-04-23T13:16:42.405249379]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/9d2c546d-1fb7-45fc-8a20-46611318f1a9"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/9d2c546d-1fb7-45fc-8a20-46611318f1a9",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/73e1145e-951b-448b-a584-bbd77e0f73de"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/3e60b455-36a9-4154-9203-822516aa13d1"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/e07d59c1-95e7-46d4-b232-bf430b5fb947"
}
}
}, {
"id" : "a629fd80-c96c-49be-9cce-2fd48a010225",
"created" : "2026-04-23T13:16:48.655734",
"lastModified" : "2026-04-23T13:16:48.655734",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "7f0dc53a-3d72-4b61-8874-bc707ee1f8fb",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-04-23T13:16:48.329063",
"lastModified" : "2026-04-23T13:16:48.329063",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"dataset" : {
"id" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132",
"published" : "2026-04-23T13:16:42.833458",
"alias" : "analytics-tables",
"workspaceId" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'ezvzykf'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-04-23T13:16:42.833458",
"score" : 1.0
},
"workspace" : {
"id" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"name" : "Test Workspace [2026-04-23T13:16:42.405249379]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/a629fd80-c96c-49be-9cce-2fd48a010225"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/a629fd80-c96c-49be-9cce-2fd48a010225",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/73e1145e-951b-448b-a584-bbd77e0f73de"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/7f0dc53a-3d72-4b61-8874-bc707ee1f8fb"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/e07d59c1-95e7-46d4-b232-bf430b5fb947"
}
}
}, {
"id" : "d023bfcf-7908-4271-b9a2-d6066290c6c0",
"created" : "2026-04-23T13:16:48.502876",
"lastModified" : "2026-04-23T13:16:48.502876",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "6cdc715a-77ae-44a1-8e2a-f0836e14d8b9",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-04-23T13:16:48.238435",
"lastModified" : "2026-04-23T13:16:48.238435",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"dataset" : {
"id" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132",
"published" : "2026-04-23T13:16:42.833458",
"alias" : "analytics-tables",
"workspaceId" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'ezvzykf'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-04-23T13:16:42.833458",
"score" : 1.0
},
"workspace" : {
"id" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"name" : "Test Workspace [2026-04-23T13:16:42.405249379]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/d023bfcf-7908-4271-b9a2-d6066290c6c0"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/d023bfcf-7908-4271-b9a2-d6066290c6c0",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/73e1145e-951b-448b-a584-bbd77e0f73de"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/6cdc715a-77ae-44a1-8e2a-f0836e14d8b9"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/e07d59c1-95e7-46d4-b232-bf430b5fb947"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications?before=2026-04-23T13%3A16%3A49.486321193&since=2021-01-01T00%3A00&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}

View all notifications for a workspace

GET /api/workspaces/{workspaceId}/notifications?all={all}&before={before}&since={since}

Returns all notifications for the workspace {workspace-id}.

Prerequisites

  • Workspace {workspace-id} must exist

Query Parameters

ParameterRequiredFormatDefault ValueDescription
allNoBooleanWhether or not to return both resolved and unresolved notifications
beforeNoISO 8601 timestampThe instant at which the request was madeThe instant to return any notifications created before
sinceNoISO 8601 timestamp2021-02-11T11:12The instant to return any notifications created since
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/e07d59c1-95e7-46d4-b232-bf430b5fb947/notifications?before=2026-04-23T13%3A16%3A49.570817628&since=2021-01-01T00%3A00' -i -X GET

Response

200 OK

Notification collection with HAL links.

{
"_embedded" : {
"notifications" : [ {
"id" : "9d2c546d-1fb7-45fc-8a20-46611318f1a9",
"created" : "2026-04-23T13:16:48.699694",
"lastModified" : "2026-04-23T13:16:48.699695",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "3e60b455-36a9-4154-9203-822516aa13d1",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-04-23T13:16:48.432266",
"lastModified" : "2026-04-23T13:16:48.432266",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"dataset" : {
"id" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132",
"published" : "2026-04-23T13:16:42.833458",
"alias" : "analytics-tables",
"workspaceId" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'ezvzykf'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-04-23T13:16:42.833458",
"score" : 1.0
},
"workspace" : {
"id" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"name" : "Test Workspace [2026-04-23T13:16:42.405249379]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/9d2c546d-1fb7-45fc-8a20-46611318f1a9"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/9d2c546d-1fb7-45fc-8a20-46611318f1a9",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/73e1145e-951b-448b-a584-bbd77e0f73de"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/3e60b455-36a9-4154-9203-822516aa13d1"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/e07d59c1-95e7-46d4-b232-bf430b5fb947"
}
}
}, {
"id" : "a629fd80-c96c-49be-9cce-2fd48a010225",
"created" : "2026-04-23T13:16:48.655734",
"lastModified" : "2026-04-23T13:16:48.655734",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "7f0dc53a-3d72-4b61-8874-bc707ee1f8fb",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-04-23T13:16:48.329063",
"lastModified" : "2026-04-23T13:16:48.329063",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"dataset" : {
"id" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132",
"published" : "2026-04-23T13:16:42.833458",
"alias" : "analytics-tables",
"workspaceId" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'ezvzykf'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-04-23T13:16:42.833458",
"score" : 1.0
},
"workspace" : {
"id" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"name" : "Test Workspace [2026-04-23T13:16:42.405249379]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/a629fd80-c96c-49be-9cce-2fd48a010225"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/a629fd80-c96c-49be-9cce-2fd48a010225",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/73e1145e-951b-448b-a584-bbd77e0f73de"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/7f0dc53a-3d72-4b61-8874-bc707ee1f8fb"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/e07d59c1-95e7-46d4-b232-bf430b5fb947"
}
}
}, {
"id" : "d023bfcf-7908-4271-b9a2-d6066290c6c0",
"created" : "2026-04-23T13:16:48.502876",
"lastModified" : "2026-04-23T13:16:48.502876",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "6cdc715a-77ae-44a1-8e2a-f0836e14d8b9",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-04-23T13:16:48.238435",
"lastModified" : "2026-04-23T13:16:48.238435",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"dataset" : {
"id" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132",
"published" : "2026-04-23T13:16:42.833458",
"alias" : "analytics-tables",
"workspaceId" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'ezvzykf'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-04-23T13:16:42.833458",
"score" : 1.0
},
"workspace" : {
"id" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"name" : "Test Workspace [2026-04-23T13:16:42.405249379]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/d023bfcf-7908-4271-b9a2-d6066290c6c0"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/d023bfcf-7908-4271-b9a2-d6066290c6c0",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/73e1145e-951b-448b-a584-bbd77e0f73de"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/6cdc715a-77ae-44a1-8e2a-f0836e14d8b9"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/e07d59c1-95e7-46d4-b232-bf430b5fb947"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/e07d59c1-95e7-46d4-b232-bf430b5fb947/notifications?before=2026-04-23T13%3A16%3A49.570817628&since=2021-01-01T00%3A00&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}

View a notification

GET /api/notifications/{notification-id}

Returns the notification {notification-id}.

Prerequisites

  • Notification {notification-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/notifications/9d2c546d-1fb7-45fc-8a20-46611318f1a9' -i -X GET

Response

200 OK

Notification with HAL links.

{
"id" : "9d2c546d-1fb7-45fc-8a20-46611318f1a9",
"created" : "2026-04-23T13:16:48.699694",
"lastModified" : "2026-04-23T13:16:48.699695",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "3e60b455-36a9-4154-9203-822516aa13d1",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-04-23T13:16:48.432266",
"lastModified" : "2026-04-23T13:16:48.432266",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"dataset" : {
"id" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132",
"published" : "2026-04-23T13:16:42.833458",
"alias" : "analytics-tables",
"workspaceId" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'ezvzykf'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-04-23T13:16:42.833458",
"score" : 1.0
},
"workspace" : {
"id" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"name" : "Test Workspace [2026-04-23T13:16:42.405249379]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/9d2c546d-1fb7-45fc-8a20-46611318f1a9"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/9d2c546d-1fb7-45fc-8a20-46611318f1a9",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/73e1145e-951b-448b-a584-bbd77e0f73de"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/3e60b455-36a9-4154-9203-822516aa13d1"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/e07d59c1-95e7-46d4-b232-bf430b5fb947"
}
}
}

Refresh notifications

PUT /api/notifications?since={since}&markAsResolved={markAsResolved}

Returns new notifications for the authenticated user profile, optionally marking existing notifications as resolved up to the moment the request was made or the supplied since parameter.

Query Parameters

ParameterRequiredFormatDefault ValueDescription
sinceNoISO 8601 timestampThe instant at which the request was madeThe instant to fetch any new notifications from
markAsResolvedNoBooleantrueWhether or not to mark notifications created up to since as resolved
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/notifications?since=2026-04-23T13%3A16%3A50.852178' -i -X PUT \
-H 'Content-Type: application/json'

Response

200 OK

Notification collection with HAL links.

{
"_embedded" : {
"notifications" : [ {
"id" : "35350e72-6a02-4758-be6e-c29030c4dd67",
"created" : "2026-04-23T13:16:53.129478",
"lastModified" : "2026-04-23T13:16:53.129479",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/8f4ad8fa0793181b761d030196e62053?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsu.png"
},
"datasetComment" : {
"id" : "03b9eb2f-c6b8-4827-b3c2-a4ff6f0d766e",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-04-23T13:16:52.027547",
"lastModified" : "2026-04-23T13:16:52.027547",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"dataset" : {
"id" : "4fd1e94c-938f-4ccb-8f29-8d5bbf453132",
"published" : "2026-04-23T13:16:42.833458",
"alias" : "analytics-tables",
"workspaceId" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'ezvzykf'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-04-23T13:16:42.833458",
"score" : 1.0
},
"workspace" : {
"id" : "e07d59c1-95e7-46d4-b232-bf430b5fb947",
"name" : "Test Workspace [2026-04-23T13:16:42.405249379]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/35350e72-6a02-4758-be6e-c29030c4dd67"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/35350e72-6a02-4758-be6e-c29030c4dd67",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/73e1145e-951b-448b-a584-bbd77e0f73de"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/03b9eb2f-c6b8-4827-b3c2-a4ff6f0d766e"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/4fd1e94c-938f-4ccb-8f29-8d5bbf453132/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/e07d59c1-95e7-46d4-b232-bf430b5fb947"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications?since=2026-04-23T13%3A16%3A50.852178&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 1,
"totalPages" : 1,
"number" : 0
}
}

Delete a notification

DELETE /api/notifications/{notification-id}

Deletes the notification {notification-id}.

Prerequisites

  • Notification {notification-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/notifications/9d2c546d-1fb7-45fc-8a20-46611318f1a9' -i -X DELETE

Response

204 No Content

No response body provided.


See Also